.navbar {
    padding: 0;
    background-color: rgb(51, 51, 51);
    box-shadow: 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
    font-weight: 400;
    flex-wrap: wrap;
    align-items: stretch;
}
.navbar-collapse{
    justify-content: end;
}
/*Кнопки навигации*/
.navbar-nav {
    align-items: center;
    z-index: 1;
    height: 100%;
}
.navbar-nav > .nav-item {
    height: 100%;
    display: flex;
    align-items: center;
    padding: 0 5px;
    transition: color .5s ease-in-out, background-color .5s ease-in-out;
}
.navbar-nav > .nav-item.active,
.navbar-nav > .nav-item:hover {
    background-color: #fecc00;
    color: #000;
}
.navbar-nav > .nav-item.active > .nav-link,
.navbar-nav > .nav-item:hover > .nav-link {
    color: #272727;
    transition: color .5s ease-in-out, background-color .5s ease-in-out;
}
.navbar-nav > .nav-item > .nav-link {
    display: flex;
    height: 100%;
    align-items: center;
    cursor: pointer;
    color: #fecc00;
}
/*Картинки продуктов*/
.navbar-nav > .nav-item > .img-logo-product{
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
}
/*Лого*/
.navbar-brand {
    padding: .5rem;
}
.navbar-brand img {
    width: 150px;
}
/*Номер телефона в нав*/
.connect-box {
    padding: 5px 10px;
    text-align: center;
    font-size: 16px;
}
.connect-box__title {
    margin-top: 0;
    margin-bottom: 10px;
}
/*Верхняя часть меню*/
.header-top-show {
    padding-top: 103px;
}
.header-top-hide {
    padding-top: 72px;
}
.navbar-top{
    height: 32px;
    width: 100%;
    background-color: #242424;
    display: flex;
    padding: 5px;
    overflow: hidden;
    transition: .25s linear;
    transition-property: height, padding;
}
.navbar-top.hide {
    height: 0;
    padding-top: 0;
    padding-bottom: 0;
}
.navbar-top > .panel{
    height: 22px;
    display: flex;
    align-items: center;
    background-color: #333;
    border-radius: 10px;
    padding: 5px 10px;
    margin-left: 5px;
}
.navbar-top > .panel,
.navbar-top > .panel > .text {
    text-decoration: none;
    font-weight: 500;
    font-size: 12px;
    line-height: 12px;
    color: #aaa;
    transition: color .5s ease-in-out, background-color .5s ease-in-out, background .5s ease-in-out, border-color .5s ease-in-out, box-shadow .5s ease-in-out;
}
.navbar-top > a.panel:hover{
    background-color: #fecc00;
    color: #333;
}
.navbar-top > .panel i {
    background-color: #fecc00;
    color: #333;
    border-radius: 50%;
    width: 22px;
    height: 22px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
}
.navbar-top > .panel.address {
    margin-left: 0;
}
.navbar-top > .panel > .time-work {
    display: flex;
    gap: 5px;
    margin-left: 5px;
    font-weight: 400;
    color: #FECC00FF;
}
.navbar-top > .panel.address > div {
    display: flex;
    font-weight: 500;
    line-height: 10px;
    color: #aaa;
    text-decoration: none;
    align-items: center;
    margin-left: -10px;
}
.navbar-top > .panel.address > div i {
    margin-right: 5px;
}
/*inst*/
.navbar-top > a.panel.inst{
    margin-left: auto;
    position: relative;
}
.navbar-top > a.panel.inst i{
    align-self: center;
    margin: 0 5px 0 -12px;
    z-index: 1;
    transition: all 0.5s ease-in-out;
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fd5949 35%, #d6249f 60%, #285AEB 90%);
    color: #ffffff;
}
.navbar-top > a.panel.inst:hover i{
    background: #000000;
}
.navbar-top > a.panel.inst span{
    z-index: 1;
}
.navbar-top > a.panel.inst:hover{
    color: #000000;
    background-color: transparent;
}
.navbar-top > a.panel.inst::before {
    content: "";
    display: block;
    opacity: 0;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: radial-gradient(circle at 30% 107%, #fdf497 0%, #fd5949 35%, #d6249f 60%, #285AEB 90%);
    transition: opacity 0.5s ease-in-out;
    border-radius: 10px;
}
.navbar-top > a.panel.inst:hover::before {
    opacity: 1;
}
/*TikTok*/
.navbar-top > a.panel.tiktok{
    margin-left: auto;
    position: relative;
    background-color: #F1024D;
}
.navbar-top > a.panel.tiktok i{
    align-self: center;
    margin: 0 5px 0 -12px;
    z-index: 1;
    transition: all 0.5s ease-in-out;
    background-color: #000;
    color: #ffffff;
}
.navbar-top > a.panel.tiktok span{
    z-index: 1;
    color: #fff;
}
.navbar-top > a.panel.tiktok:hover i{
    background-color: #F1024D;
}
.navbar-top > a.panel.tiktok:hover{
    background-color: #000;
}
/*Верхняя часть меню END*/
/*Панель связи*/
#btnConnection {
    display: flex;
    align-items: center;
    flex-grow: 0;
    background-color: #fecc00;
    border-radius: 5px;
    border: 1px solid #fecc00;
    color: #333;
    font-size: 20px;
    font-weight: 500;
    padding: 10px 20px;
    margin: .5rem;
    box-shadow: 0px 0px 5px 2px rgba(0, 0, 0, 0.2);
    transition: all .5s ease-in-out;
}
#btnConnection:hover {
    background-color: #222;
    color: #fff;
    box-shadow: 0px 0px 8px 2px rgba(254, 204, 0, 0.3);
}
#btnConnection i {
    margin-right: 10px;
    font-size: 24px;
}
#panelConnection > i {
    position: absolute;
    right: 2rem;
    top: 2rem;
    font-size: 4rem;
    display: none;
    color: #fff;
    transition: all .3s ease-in-out;
}
#panelConnection > .close:hover {
    opacity: 1;
}
#panelConnection.full {
    width: 100%;
    top: 68px;
    z-index: 1000;
    height: 100%;
}
#panelConnection.full > i {
    display: inherit;
}
#panelConnection.full > .content {
    min-width: 500px;
    max-width: 600px;
}
#panelConnection.full > .content > .soc-icon a {
    font-size: 2rem;
    flex-grow: 1;
    width: inherit;
}
#panelConnection {
    position: fixed;
    top: 68px;
    right: 0;
    display: none;
    justify-content: center;
    min-width: 500px;
    padding: 3rem 1rem 1rem 1rem;
    background-color: rgb(51, 51, 51);
    box-shadow: 0px 0px 5px 1px rgba(0, 0, 0, 0.3);
    z-index: 100;
}
#panelConnection > .content {
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 10px;
    width: 100%;
    min-width: 400px;
}
#panelConnection.show {
    display: flex;
}
#panelConnection > .content > .soc-icon {
    display: flex;
    justify-content: center;
    gap: 10px;
}
#panelConnection > .content > .soc-icon a {
    display: flex;
    justify-content: center;
    flex-grow: 1;
    color: #fecc00;
    background-color: #444;
    border: 1px solid #444;
    font-size: 2rem;
    padding: .5rem;
    border-radius: 5px;
    width: auto;
}
#panelConnection > .content > .soc-icon a:hover {
    border: 1px solid #fecc00;
    text-decoration: none;
}
#panelConnection > .content > .phone {
    display: flex;
    justify-content: center;
    flex-direction: column;
    background-color: #444;
    border-radius: 5px;
    padding: 15px 5px;
    border: 1px solid #444;
}
#panelConnection > .content > .phone a,
#panelConnection > .content > .phone span{
    display: flex;
    align-items: center;
    justify-content: center;
    color: #fff;
    text-decoration: none;
    font-size: 24px;
    font-weight: 400;
    line-height: 1;
}
#panelConnection > .content > .phone:hover{
    border: 1px solid #fecc00;
}
#panelConnection > .content > .phone img,
#panelConnection > .content > .phone i {
    margin-right: 10px;
    color: #fecc00;
    font-size: 24px;
}
#btn-order-connection{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-grow: 0;
    gap: 10px;
    padding: 10px 5px;
    border: 1px solid #fecc00;
    background-color: #fecc00;
    color: #333;
    font-size: 20px;
    font-weight: 500;
    transition: all .5s ease-in-out;
}
#btn-order-connection i{
    font-size: 24px;
}
#btn-order-connection:hover {
    background-color: #222;
    color: #fff;
    box-shadow: 0px 0px 8px 2px rgba(254, 204, 0, 0.3);
}
#panelConnection > .content > .coop-link{
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 10px;
    color: #8b8b8b;
    text-transform: uppercase;
    font-size: 18px;
}
#panelConnection > .content > .coop-link i{
    font-size: 24px;
}
#panelConnection > .content > .coop-link:hover{
    text-decoration: none;
    color: #fecc00;
}
/*Адрес в нав.*/
#panelConnection > .content > .office-info{
    display: flex;
    flex-direction: column;
    font-size: 18px;
    background-color: #444;
    padding: 10px 5px;
    gap: 10px;
    border-radius: 5px;
}
#panelConnection > .content > .office-info .item{
    font-size: 1rem;
    text-align: center;
    color: #dddddd;
    display: flex;
    flex-direction: column;
}
#panelConnection > .content > .office-info .item .name{
    color: #fecc00;
}
#panelConnection > .content > .office-info .item .text{
    line-height: 1.2;
}
#panelConnection > .content > .office-info .item .text small{
    display: block;
    font-weight: 300;
    color: #fecc00;
}
/*Дополнительное мобильное меню */
.navbar-collapse .navbar-dop {
    display: none;
    flex-direction: column;
    padding-bottom: 30px;
}
.navbar-collapse .navbar-dop > .item {
    display: flex;
    flex-direction: column;
}
.navbar-collapse .navbar-dop > .item .name-item {
    margin: 30px 0 5px 20px;
    font-size: 16px;
    font-weight: 400;
    color: #999;
}
.navbar-collapse .navbar-dop > .item.dop-info > a{
    color: #999;
    font-size: 16px;
    font-weight: 300;
    text-decoration: none;
    padding: 5px 0;
    margin-left: 20px;
}
.navbar-collapse .navbar-dop > .item.dop-info > a:hover{
    color: #fecc00;
}
/*Кнопка для моб меню*/
.navbar-toggler {
    display: flex;
    justify-content: center;
    align-items: center;
    order: 3;
    width: 65px;
    border-radius: 0;
    color: #fff;
    padding: 0;
    margin: .5rem .5rem .5rem 0;
    border: 1px solid #fecc00;
    border-radius: 5px;
    box-shadow: 0px 0px 5px 2px rgba(0, 0, 0, 0.2);
    transition: all .5s ease-in-out;
}
.navbar-toggler i {
    font-size: 32px;
}
.navbar-toggler:hover{
    background-color: #fecc00;
    color: #333;
    box-shadow: 0px 0px 8px 2px rgba(254, 204, 0, 0.3);
}
@media(max-width: 990px) {
    .header-top-show {
        padding-top: 65px;
    }
    .navbar {
        background-color: #232323;
    }
    .navbar-top {
        order: 4;
        margin-bottom: 0;
        display: none;
        height: auto;
        flex-direction: column;
    }
    .navbar-collapse{
        display: flex;
        flex-direction: column;
        align-items: stretch;
        justify-content: start;
        order: 3;
        height: calc(100vh - 68px);
        background: #232323 linear-gradient(180deg, #232323 50%, #ffcd00 400%);
        overflow: auto;
    }
    .navbar-nav{
        height: auto;
    }
    .navbar-nav > .nav-item {
        width: 100%;
        height: auto;
    }
    .navbar-nav > .nav-item > .nav-link{
        width: 100%;
        padding: 15px;
        font-size: 18px;
        align-items: center;
        display: flex;
    }
    .navbar-collapse .navbar-dop {
        display: flex;
    }
    #btnConnection{
        order: 2;
        margin-left: auto;
        background-color: #232323;
        color: #fff;
    }
    #btnConnection:hover{
        background-color: #fecc00;
        color: #333;
    }
    #panelConnection,
    #panelConnection.full {
        background-color: #232323;
        width: 100%;
        top: 51px;
        z-index: 1000;
        height: 100%;
    }
    #panelConnection > .content > .soc-icon a,
    #panelConnection.full > .content > .soc-icon a {
        font-size: 2.5rem;
        flex-grow: 1;
        width: inherit;
    }
    #panelConnection > i {
        right: 1rem;
        top: 1rem;
        font-size: 3rem;
        display: flex;
    }
}
@media(max-width: 480px) {
    .navbar-brand {
        order: 1;
        display: flex;
        margin-right: 0;
    }
    .navbar-brand img {
        width: 120px;
        height: auto;
        margin: auto;
    }
    .navbar-collapse{
        height: calc(100vh - 65px);
    }
    #btnConnection {
        font-size: 18px;
        padding: 10px 15px;
    }
    #btnConnection i{
        font-size: 22px;
        margin-right: 8px;
    }
    .navbar-toggler {
        height: 52px;
        width: 55px;
    }
    .navbar-toggler i{
        font-size: 28px;
    }
    #panelConnection,
    #panelConnection.full,
    #panelConnection > .content,
    #panelConnection.full > .content {
        min-width: 100%;
    }
}
